{% extends 'base.html' %}
{% block content %}
<div class="container">
  <div class="row">
    <div class="col-md-12">
      <center>
        <h1>Create Board</h1>
      </center>
    </div>
  </div>
  <div class="row">
    <div class="col-md-8 col-md-offset-2">

      <form action="/create_board" method="post">
        <div class="form-group">
          <label for="title">Title</label>
          <input type="text" class="form-control" id="title" name="title" required/>
        </div>
        <div class="form-group">
          <label for="exampleFormControlTextarea">Text of Board</label>
          <textarea class="form-control rounded-0" id="exampleFormControlTextarea" rows="5" name="textarea" required></textarea>
        </div>
      <div class="custom-control custom-radio">
        <input type="radio" class="custom-control-input" id="defaultUnchecked" name="PublicOrPrivat" value="public">
        <label class="custom-control-label" for="defaultUnchecked">Public Board</label>
        <input type="radio" class="custom-control-input" id="defaultChecked" name="PublicOrPrivat" checked value="private">
        <label class="custom-control-label" for="defaultChecked">Private Board</label>
      </div>
        <button type="submit" class="btn btn-primary">Save</button>
      </form>

    </div>
  </div>
  {% with messages = get_flashed_messages() %}
    {% if messages %}
      {% for message in messages %}
      <div class="row">
        <div class="alert alert-info" role="alert">{{ message }}</div>
      </div>
      {% endfor %}
    {% endif %}
  {% endwith %}
</div>
{% endblock %}
